Bug 464429 - Review Request: judy - C Library for Dynamic Sparse Arrays
Review Request: judy - C Library for Dynamic Sparse Arrays
Status: CLOSED DUPLICATE of bug 465897
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 437626
  Show dependency treegraph
 
Reported: 2008-09-28 14:43 EDT by Jochen Schmitt
Modified: 2008-10-07 12:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-07 12:54:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Jochen Schmitt 2008-09-28 14:43:03 EDT
Spec URL: http://www.herr-schmitt.de/pub/judy/judy.spec
SRPM URL: http://www.herr-schmitt.de/pub/judy/judy-1.0.4-1.fc9.src.rpm

Description:
Judy is a C library that implements a dynamic array. Empty Judy arrays are
declared with null pointers. A Judy array consumes memory only when
populated yet can grow to take advantage of all available memory. Judy's key
benefits are: scalability, performance, memory efficiency, and ease of use.
Judy arrays are designed to grow without tuning into the peta-element range,
scaling near O(log-base-256) -- 1 more RAM access at 256 X population.
Comment 1 Erik van Pienbroek 2008-10-03 08:39:54 EDT
First impressions:
- The patch 'judy-1.0.4-smp.patch' isn't applied
- There's a comment in the .spec file mentioning '# _smp_mflags not works, reporte at BZ #2129019'. Bug #2129019 isn't known at this bugzilla. Where can it be found and is it still open?
- There's a typo in the .spec file: %post -p /sbn/ldconfig. This should be /sbin/ldconfig
- The %files contains files using wildcards. While this is valid, it is recommended to use the full filenames for readability.

Full review coming soon
Comment 2 Charles R. Anderson 2008-10-06 21:00:35 EDT
*** Bug 465897 has been marked as a duplicate of this bug. ***
Comment 3 Charles R. Anderson 2008-10-06 21:07:02 EDT
Ok, so I missed this one and made my own:

Spec URL: http://cra.fedorapeople.org/Judy/Judy.spec
SRPM URL: http://cra.fedorapeople.org/Judy/Judy-1.0.4-1.fc9.src.rpm

Some differences I note:

- I named mine "Judy" not "judy".  This matches the upstream tarball name and hence doesn't require %setup -n Judy-%{version}.  I believe this is desirable according to the Naming Guidelines:

"General Naming

When naming a package, the name should match the upstream tarball or project name from which this software came. In some cases, this naming choice may be more complicated. If this package has been packaged by other distributions/packagers in the past, then you should try to match their name for consistency. In any case, try to use your best judgement, and other developers will help in the final decision."

- "%configure --disable-static" to prevent building static libraries altogether--better than just deleting them afterwards.

- I packaged the HTML versions of the docs.

Would you consider my changes and like to co-maintain this package once it gets in?
Comment 4 Erik van Pienbroek 2008-10-07 08:19:46 EDT
Okay, I'll wait with the full review until a agreement has been reached about these two versions of this package
Comment 5 Jochen Schmitt 2008-10-07 12:54:32 EDT
@Charles,

OK, you may going forward with you package and I will close this review request.

Of corse, I am ready to co-maintain your package aver the review may be finished.

*** This bug has been marked as a duplicate of bug 465897 ***

Note You need to log in before you can comment on or make changes to this bug.